// model migration
defaultPackage = qm

getModel = { impact ->
	def element = impact.container
	while(!element.instanceOf(QualityModel)) {
		element = element.container
	}
	return element
}

getOrCreateRequirement = { model ->
	if(model.requirements.isEmpty()) {
		def requirement = QualityRequirement.newInstance()
		model.requirements.add(requirement)
		return requirement
	}
	return model.requirements[0]
}

for(impact in Impact.allInstances) {
	def model = getModel(impact)
	def requirement = getOrCreateRequirement(model)
	requirement.impacts.add(impact)
}

// metamodel adaptation
impactsReference = qm.Factor.impacts
impactsReference.containment = false
